#ifndef PCEnums_h
#define PCEnums_h


namespace pokkt
{

/**
 * integration types
 **/
#define POKKT_INTEGRATION_TYPE_ALL          "0"
#define POKKT_INTEGRATION_TYPE_OFFERWALL    "1"
#define POKKT_INTEGRATION_TYPE_AD           "2"


/**
 * implemented analytics types
 **/
#define POKKT_ANALYTICS_TYPE_NONE               "NONE"
#define POKKT_ANALYTICS_TYPE_GOOGLE_ANALYTICS   "GOOGLE_ANALYTICS"
#define POKKT_ANALYTICS_TYPE_MIXPANEL           "MIXPANEL"
#define POKKT_ANALYTICS_TYPE_FLURRY             "FLURRY"
#define POKKT_ANALYTICS_TYPE_FABRIC             "FABRIC"


/**
 * in-app purchase store types
 **/
#define POKKT_IAP_STORE_TYPE_NONE       "NONE"
#define POKKT_IAP_STORE_TYPE_GOOGLE     "GOOGLE"
#define POKKT_IAP_STORE_TYPE_IOS        "IOS"
#define POKKT_IAP_STORE_TYPE_AMAZON     "AMAZON"


/**
 * various pokkt-operations
 **/
#define SET_DEBUG_OP                "setDebug"
#define EXPORT_LOG_OP               "exportLog"
#define SHOW_TOAST_OP               "showToast"
#define SHOW_LOG_OP                 "showLog"
#define INIT_POKKT_OP               "initPokkt"
#define UPDATE_POKKT_CONFIG_OP      "updatePokktConfig"

#define START_SESSION_OP            "startSession"
#define END_SESSION_OP              "endSession"
#define NOTIFY_APP_INSTALL_OP       "notifyAppInstall"
#define TRACK_IAP_OP                "trackIAP"

#define GET_COINS_OP                "getCoins"
#define GET_PENDING_COINS_OP        "getPendingCoins"
#define CHECK_OFFERWALL_CAMPAIGN_OP "checkOfferWallCampaign"

#define CACHE_AD_OP                 "cacheAd"
#define SHOW_AD_OP                  "showAd"
#define CHECK_AD_AVAILABILITY_OP    "checkAdAvailability"


/**
 * pokkt-to-framework events
 **/
#define POKKT_INITIALISED_EVENT             "PokktInitialised"

#define AD_CACHING_COMPLETED_EVENT          "AdCachingCompleted"
#define AD_CACHING_FAILED_EVENT             "AdCachingFailed"
#define AD_CLOSED_EVENT                     "AdClosed"
#define AD_COMPLETED_EVENT                  "AdCompleted"
#define AD_DISPLAYED_EVENT                  "AdDisplayed"
#define AD_SKIPPED_EVENT                    "AdSkipped"
#define AD_GRATIFIED_EVENT                  "AdGratified"
#define AD_AVAILABILITY_EVENT               "AdAvailability"

#define COIN_RESPONSE_EVENT                 "CoinResponse"
#define COIN_RESPONSE_WITH_TRANS_ID_EVENT   "CoinResponseWithTransId"
#define COIN_RESPONSE_FAILED_EVENT          "CoinResponseFailed"
#define CAMPAIGN_AVAILABILITY_EVENT         "CampaignAvailability"
#define OFFERWALL_CLOSED_EVENT              "OfferwallClosed"
    
    
/**
 * parameters name
 **/

#define REWARD              "REWARD"
#define BACK_PRESSED        "BACK_BUTTON"
#define FAIL_MESSAGE        "MESSAGE"
#define AD_VC               "AD_VC"
#define IS_AVAILABLE        "IS_AVAILABLE"
#define IS_READY            "IS_READY"
}

#endif /* PCEnums_h */
