//
//  PokktNetworkInterface.h
//  PokktSDK
//
//  Created by Subhendu Sekhar Sahu on 12/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktConfig.h"
#import "NetworkModel.h"
#import "PokktManager.h"
#import "AdConfig.h"


@interface PokktNetworkDelegate : NSObject

+ (void) didFinishedAdDownload: (NetworkModel *)networkModel
                      adConfig: (AdConfig *)adConfig
                   rewardValue: (float)reward
                  downLoadTime: (NSString *)downloadTime;

+ (void) didFailedAdDownload:(NetworkModel *)networkModel
                    adConfig: (AdConfig *)adConfig
                errorMessage:(NSString *)errorMsg;

+ (void) onAdCompleted: (NetworkModel *)networkModel
              adConfig: (AdConfig *)adConfig;

+ (void) onAdDisplayed: (NetworkModel *)networkModel
              adConfig: (AdConfig *)adConfig;

+ (void) onAdGratified: (NetworkModel *)networkModel
           rewardPoint: (float)reward
              adConfig: (AdConfig *)adConfig;

+ (void) onAdSkipped: (NetworkModel *)networkModel
            adConfig: (AdConfig *)adConfig;

+ (void) onAdClosed: (NetworkModel *)networkModel
           adConfig: (AdConfig *)adConfig;

+ (void) didFailedToShowAd: (NetworkModel *)networkModel
                  adConfig: (AdConfig *)adConfig;

+ (void)onAdAvailabilityStatus: (NetworkModel *)networkModel isAdAvailable:(BOOL)isAdAvailable
                  withAdConfig:(AdConfig *)adConfig;


@end