//
//  AdScreen.h
//  PokktSample
//
//  Created by Pankaj Kumar on 22/04/15.
//
//

#ifndef __PokktSample__AdScreen__
#define __PokktSample__AdScreen__

#include "scene.h"
#include <string>
#include "PCPokktConfig.h"
#include "PCPokktDelegate.h"

using namespace pokkt;


class AdScreen : public Scene, public PCPokktAdDelegate
{
private:
    // pokkt handlers
    
    virtual void handleAdAvailability(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdCachingCompleted(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdCachingFailed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdDisplayed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdSkipped(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdCompleted(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdClosed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdGratified(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    
    float _coinsEarned = 0.0f;
    CLabel* startCachingLbl;
    
    static PCPokktConfig *pokktConfig;
    PCAdConfig *adConfig = NULL;
    
    void hideButton(CSprite *sprite);
    void showButton(CSprite *sprite);
    void changeButtonLabelTest(CLabel *label, std::string text);
    void resetAllButton();
    void initPokkt();
    
protected:
    CSprite* cacheRewardBtn;
    CSprite* cacheNonRewardBtn;
    CSprite* showRewardBtn;
    CSprite* showNonRewardBtn;
    
    CLabel* cacheRewardBtnLbl;
    CLabel* cacheNonRewardBtnLbl;
    CLabel* showRewardBtnLbl;
    CLabel* showNonRewardBtnLbl;
    
    CLabel* pointsEarnedLbl;
    
    bool isPokktReady;
    
public:
    AdScreen();
    ~AdScreen();
    
    //
    void Init();
    void Update(float deltaTime = 0.0f, float alphaMul = 1.0f);
    void Render();
    
    std::string screenName;
};

#endif /* defined(__PokktSample__AdScreen__) */
